Bug 974189 - sabayon is crashing when editing profile
sabayon is crashing when editing profile
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: sabayon (Show other bugs)
6.4
All Linux
low Severity medium
: rc
: ---
Assigned To: Tomáš Bžatek
Desktop QE
:
Depends On: 557472
Blocks: 1002711
  Show dependency treegraph
 
Reported: 2013-06-13 11:38 EDT by Rui Gouveia
Modified: 2016-01-04 00:10 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 557472
Environment:
Last Closed: 2013-10-06 21:33:05 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Rui Gouveia 2013-06-13 11:38:43 EDT
+++ This bug was initially created as a clone of Bug #557472 +++

Description of problem:
sabayon
MainThread 2010/01/21 10:11:19.6149 (admin-tool): Creating profiles dialog
MainThread 2010/01/21 10:11:19.6605 (admin-tool): Starting main loop
MainThread 2010/01/21 10:11:26.3740 (USER): Starting to edit profile 'xguest'
No protocol specified
Traceback (most recent call last):
  File "/usr/libexec/sabayon-session", line 26, in <module>
    import gtk
  File "/usr/lib64/python2.6/site-packages/gtk-2.0/gtk/__init__.py", line 64, in <module>
    _init()
  File "/usr/lib64/python2.6/site-packages/gtk-2.0/gtk/__init__.py", line 52, in _init
    _gtk.init_check()
RuntimeError: could not open display
MainThread 2010/01/21 10:11:26.6184 (admin-tool): Got fatal error: sabayon-session exited with a FATAL ERROR (exit code 1)
MainThread 2010/01/21 10:11:26.7880 (USER): Finishing editing profile
MainThread 2010/01/21 10:11:26.7888 (admin-tool): Terminating main loop
MainThread 2010/01/21 10:11:26.7888 (admin-tool): Exiting abnormally; dumping log due to a fatal error
Dumped debug log to /root/sabayon-debug-log-2010-01-21-10-11-26.txt

sabayon-2.29.5-1.fc13.x86_64

The gui works fine until I try to create or open a new sabayon session

--- Additional comment from Bug Zapper on 2010-03-15 10:10:30 EDT ---


This bug appears to have been reported against 'rawhide' during the Fedora 13 development cycle.
Changing version to '13'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

--- Additional comment from Bug Zapper on 2011-06-02 12:47:45 EDT ---


This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

--- Additional comment from Daniel Walsh on 2011-06-02 13:20:40 EDT ---

sabayon seems to be killing gnome-shell now...

--- Additional comment from Fedora End Of Life on 2012-08-06 16:07:08 EDT ---

This message is a notice that Fedora 15 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 15. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained.  At this time, all open bugs with a Fedora 'version'
of '15' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this 
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen 
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we were unable to fix it before Fedora 15 reached end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" (top right of this page) and open it against that 
version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

--- Additional comment from Fedora End Of Life on 2012-08-06 16:07:09 EDT ---

This message is a notice that Fedora 15 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 15. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained.  At this time, all open bugs with a Fedora 'version'
of '15' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this 
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen 
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we were unable to fix it before Fedora 15 reached end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" (top right of this page) and open it against that 
version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 1 Rui Gouveia 2013-06-13 11:41:21 EDT
Hi,

In RHEL 6.4:

# rpm -qi sabayon
Name        : sabayon                      Relocations: (not relocatable)
Version     : 2.29.92                           Vendor: Red Hat, Inc.
Release     : 3.el6                         Build Date: Wed 17 Aug 2011 17:27:52 BST
Install Date: Thu 13 Jun 2013 11:33:13 BST      Build Host: x86-007.build.bos.redhat.com
Group       : Applications/System           Source RPM: sabayon-2.29.92-3.el6.src.rpm
Size        : 3408922                          License: GPLv2+
Signature   : RSA/8, Fri 19 Aug 2011 06:53:37 BST, Key ID 199e2f91fd431d51
Packager    : Red Hat, Inc. <http://bugzilla.redhat.com/bugzilla>
URL         : http://www.gnome.org/projects/sabayon
Summary     : Tool to maintain user profiles in a GNOME desktop
Description :
Sabayon is a tool to help sysadmins and user change and maintain the
default behavior of the GNOME desktop. This package contains the
graphical tools which a sysadmin use to manage Sabayon profiles.

[root@localhost ~]# xhost 
access control disabled, clients can connect from any host
SI:localuser:rgouveia

[root@localhost ~]# sabayon
MainThread 2013/06/13 16:36:20.5870 (admin-tool): Creating profiles dialog
MainThread 2013/06/13 16:36:20.6351 (admin-tool): Starting main loop
MainThread 2013/06/13 16:36:23.5150 (USER): Starting to edit profile 'users'
X11 connection rejected because of wrong authentication.
Traceback (most recent call last):
  File "/usr/libexec/sabayon-session", line 26, in <module>
    import gtk
  File "/usr/lib64/python2.6/site-packages/gtk-2.0/gtk/__init__.py", line 64, in <module>
    _init()
  File "/usr/lib64/python2.6/site-packages/gtk-2.0/gtk/__init__.py", line 52, in _init
    _gtk.init_check()
RuntimeError: could not open display
MainThread 2013/06/13 16:36:24.0110 (admin-tool): Got fatal error: sabayon-session exited with a FATAL ERROR (exit code 1)
MainThread 2013/06/13 16:36:24.3873 (USER): Finishing editing profile
MainThread 2013/06/13 16:36:24.3934 (admin-tool): Terminating main loop
MainThread 2013/06/13 16:36:24.3935 (admin-tool): Exiting abnormally; dumping log due to a fatal error
Dumped debug log to /root/sabayon-debug-log-2013-06-13-16-36-24.txt
[root@localhost ~]# cat /root/sabayon-debug-log-2013-06-13-16-36-24.txt
===== BEGIN MILESTONES (/usr/sbin/sabayon) =====
MainThread 2013/06/13 16:36:20.5870 (admin-tool): Creating profiles dialog
MainThread 2013/06/13 16:36:20.6351 (admin-tool): Starting main loop
MainThread 2013/06/13 16:36:24.0110 (admin-tool): Got fatal error: sabayon-session exited with a FATAL ERROR (exit code 1)
MainThread 2013/06/13 16:36:24.3934 (admin-tool): Terminating main loop
MainThread 2013/06/13 16:36:24.3935 (admin-tool): Exiting abnormally; dumping log due to a fatal error
===== END MILESTONES (/usr/sbin/sabayon) =====
===== BEGIN RING BUFFER (/usr/sbin/sabayon) =====
MainThread 2013/06/13 16:36:20.5870 (admin-tool): Creating profiles dialog
MainThread 2013/06/13 16:36:20.6351 (admin-tool): Starting main loop
MainThread 2013/06/13 16:36:23.5150 (USER): Starting to edit profile 'users'
MainThread 2013/06/13 16:36:24.0110 (admin-tool): Got fatal error: sabayon-session exited with a FATAL ERROR (exit code 1)
MainThread 2013/06/13 16:36:24.3873 (USER): Finishing editing profile
MainThread 2013/06/13 16:36:24.3934 (admin-tool): Terminating main loop
MainThread 2013/06/13 16:36:24.3935 (admin-tool): Exiting abnormally; dumping log due to a fatal error
===== END RING BUFFER (/usr/sbin/sabayon) =====
Comment 5 Andrius Benokraitis 2013-10-06 21:33:05 EDT
This Bugzilla has been reviewed by Red Hat and is not planned on being addressed in Red Hat Enterprise Linux 6, and will be closed. If this bug is critical to production systems, please contact your Red Hat support representative and provide sufficient business justification.

Note You need to log in before you can comment on or make changes to this bug.